org.apache.maven.scm.command.checkin

## Class CheckInScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkin.CheckInScmResult

All Implemented Interfaces:
  Serializable

    public class CheckInScmResult
    extends ScmResult

Version:
  $Id: CheckInScmResult.java 755019 2009-03-16 22:09:29Z olamy $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CheckInScmResult(List checkedInFiles, ScmResult result)`
`CheckInScmResult(String commandLine, List checkedInFiles)`
`CheckInScmResult(String commandLine, List checkedInFiles, String scmRevision)`
`CheckInScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

Methods
`List` `getCheckedInFiles()`
`String` `getScmRevision()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                    String providerMessage,
                    String commandOutput,
                    boolean success)

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                    List checkedInFiles)

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                    List checkedInFiles,
                    String scmRevision)

Parameters:
  `commandLine` -
  `checkedInFiles` -
  `scmRevision` -
Since:
  1.2

#### CheckInScmResult

    public CheckInScmResult(List checkedInFiles,
                    ScmResult result)

### Method Detail

#### getCheckedInFiles

    public List getCheckedInFiles()

#### getScmRevision

    public String getScmRevision()

Returns:
  can be null for some providers (implemented at least for svn)
Since:
  1.2